#pragma once

class Window {
public:
    Window() = default;
    Window(const char* title, int width, int height);
    ~Window();

    bool ShouldClose();
    void SwapBuffers();
    bool IsKeyDown(int key);
    bool IsKeyUp(int key);
    void SetVSync(bool enabled);

private:
    GLFWwindow* window;
};
