add_rules("mode.debug", "mode.release")

if is_mode("debug") then
    set_optimize("none")
end

add_requires("glfw")
add_requires("glad", { configs = { static = true, api = "gl=4.6", profile = "core" } })

target("lodestone")
    set_kind("binary")
    set_rundir(".")
    set_languages("c++20")
    set_pcxxheader("src/pch.h")
    add_files("src/*.cpp")
    add_headerfiles("src/*.h")
    add_includedirs("src")
    add_packages("glfw", "glad")
