#pragma once

#include <pch.h>

namespace Input {
    extern std::unordered_set<int> pressed_keys;
    extern std::unordered_set<int> released_keys;
    extern const std::shared_ptr<Window>& window;

    bool IsKeyDown(int key);
    bool IsKeyUp(int key);
    bool IsKeyPressed(int key);
    bool IsKeyReleased(int key);
}
