#include <pch.h>

int main(int argc, char** argv) {
    Engine::Init();
    const std::shared_ptr<Window>& window = Backend::GetWindow();
    window->SetVSync(true);
    while(!window->ShouldClose()) {
        glfwPollEvents();

        if(Input::IsKeyPressed(GLFW_KEY_W)) {
            std::cout << "pressed w" << std::endl;
        }

        if(Input::IsKeyReleased(GLFW_KEY_W)) {
            std::cout << "released w" << std::endl;
        }

        glClearColor(0.2f, 0.4f, 0.3f, 1.0f);
        glClear(GL_COLOR_BUFFER_BIT);

        window->SwapBuffers();
    }

    return 0;
}
